import React, { useState, useEffect } from 'react'
import { ListGroup } from 'react-bootstrap';
import axios from 'axios'

function OpenList(props) {
  const [openlist, setOpenlist] = useState([])

  useEffect(() => {
    getOpenList();
  }, [props.roomCode]);

  async function getOpenList() {
    let res = await axios.get('/room/openlist')
    console.log('getOpenlist', res.data)
    setOpenlist(res.data)
  }


  function enterChatRoomCH(e) {
    if (props.roomCode){
      props.closeChatRoom(props.roomCode)
    }
    
    console.log('e확인', e.target)
    const roomCode = e.target.name
    // props.enterChatRoom(roomCode) // 각각의 room으로 들어가도록 설정해야 함
    props.openListroom(roomCode)
    props.setRoomCode(roomCode)
    // props.clearChat()
  }

  return (
    <div>
      {openlist.map((item, index) =>
        <ListGroup key={index}>
          <ListGroup.Item action onClick={enterChatRoomCH} name={item.roomId}>
            {item.roomName}
          </ListGroup.Item>
        </ListGroup>
      )}
    </div>
  )
}

export default OpenList
